---
- name: Verify if proxy has been enable, need to set 1, true is converted to bool
  set_fact:
    proxy_enable: "1"
  when: item.Names == "traefik"
  loop: "{{ansible_local.containers|flatten(levels=1)}}"
  tags:
    - olip
    - stats
    
- name: Include proxy variables
  include_vars:
    file: proxy.yml
  when: proxy_enable | default(False) | bool
  tags:
    - olip
    - stats

- name: Include no-proxy variables
  include_vars:
    file: no-proxy.yml
  when:  proxy_enable | default(False) | bool == false
  tags:
    - olip
    - stats

- name: Overriding variables on dev environment
  include_vars:
    file: "dev.yml"
  tags:
    - never
    - develop

- include: olip.yml
  tags:
    - olip

- include: stats.yml
  when: proxy_enable | default(False) | bool
  tags:
    - stats

- include: timers.yml
  tags:
    - olip
